#!/usr/bin/perl
#WHMADDON:addonupdates:Cpnginx - cPanel Nginx
###############################################################################
# Copyright 2011 @ syslint.com
# URL: http://syslint.com
###############################################################################
# start main

use File::Find;
use Fcntl qw(:DEFAULT :flock);
use Sys::Hostname qw(hostname);
use IPC::Open3;

open (IN, "</etc/cpnginx/version.txt") or die $!;
$myv = <IN>;
close (IN);
chomp $myv;

$script = "addon_cpnginx.cgi";
$images = "cpremote";

use lib '/usr/local/cpanel';
use Cpanel::cPanelFunctions ();
use Cpanel::Form			();
use Cpanel::Config          ();
use Whostmgr::HTMLInterface ();
use Whostmgr::ACLS			();

Whostmgr::ACLS::init_acls();

print "Content-type: text/html\r\n\r\n";

if (!Whostmgr::ACLS::hasroot()) {
	print "You do not have access to  Cpnginx.\n";
	exit();
}

eval ('use Cpanel::Rlimit			();');
unless ($@) {Cpanel::Rlimit::set_rlimit_to_infinity()}

$Cpanel::App::appname = "whostmgr";

%FORM = Cpanel::Form::parseform();

$dns = "";
eval{
	eval ('use Cpanel::Update();');
	$dns = Cpanel::Update::Config::get_tier();
};
if ($dns eq "") {
	eval{
		eval ('use Cpanel::Version();');
		$dns = Cpanel::Version::gettree();
	};
}
if (uc $dns eq "DNSONLY") {$dns = 1} else {$dns = 0}
	print "<meta http-equiv=\"refresh\" content=\"0;url=cpnginx/index.php\"/>" ;

1;
