#!/bin/bash
export REMOTVERSION=$( /usr/bin/curl http://files.syslint.com/version/cpnginx.txt )
export LOCALVERSION=$(cat /etc/cpnginx/version.txt)

echo "Remote version $REMOTVERSION"
echo "Local version $LOCALVERSION"
echo " " > /etc/cpnginx/localkey.txt
if [ $REMOTVERSION ==  $LOCALVERSION ]; then 
        echo "Same version. It is uptodate"
else
        cd /usr/local/src
        rm -rf /usr/local/src/cpanelnginx*
        wget -c http://portal.syslint.com/downloads/cpanelnginx.$REMOTVERSION.tar.gz
        tar -xzf cpanelnginx.$REMOTVERSION.tar.gz
        cd cpanelnginx/
        sh install.sh
        echo "Upgrade completed"
fi

