#!/bin/bash
#Copyright 2010 (c) www.sherin.co.in
RED='\033[01;31m'
GREEN='\033[01;32m'
RESET='\033[0m'
echo -ne "Removing cPanel Nginx .."
/etc/init.d/nginx stop
if [ -e "/usr/local/cpanel/bin/unregister_appconfig" ]; then
    cd /
        /usr/local/cpanel/bin/unregister_appconfig cPnginx
else
	rm -rf /usr/local/cpanel/whostmgr/docroot/cgi/addon_cpnginx.cgi
fi
rm -rf /usr/local/cpanel/whostmgr/docroot/cgi/cpnginx/
rm -rf /etc/cpnginx*
rm -rf /scripts/cpnginx
rm -rf /scripts/enablenginx
rm -rf /scripts/disablenginx
rm -rf /scripts/rebuildnginxvhost
rm -rf /scripts/installnginx
rm -rf /scripts/installmodrpaf
rm -rf /etc/cron.weekly/updatecpnginx.sh
rm -rf /scripts/monitornginxvhost
rm -rf /scripts/posteasyapache
rm -rf /scripts/preeasyapache
rm -rf /scripts/postupdateuserdomains
rm -rf /usr/local/nginx
echo -e "[ $GREEN done $RESET ]"	
echo -ne "Changin apache port to 80  .."
	sed -i 's/apache_port.*/apache_port=0.0.0.0:80/g' /var/cpanel/cpanel.config
echo -e "[ $GREEN done $RESET ]"	
grep -v 'mod_rpaf' /usr/local/apache/conf/includes/pre_main_global.conf > /tmp/rpaf
cat /tmp/rpaf > /usr/local/apache/conf/includes/pre_main_global.conf
rm -f /tmp/rpaf
rm -f /usr/local/apache/conf/mod_rpaf.conf

echo -ne "Removing cron .."
grep -v 'monitornginxvhost' /var/spool/cron/root  > /tmp/c.txt
cat /tmp/c.txt > /var/spool/cron/root
rm -f /tmp/c.txt
echo -e "[ $GREEN done $RESET ]"	

echo -ne "Rebuilding httpd conf .."
	/scripts/rebuildhttpdconf
echo -e "[ $GREEN done $RESET ]"	
echo -ne "Restarting  httpd  .."
	/scripts/restartsrv httpd
echo -e "[ $GREEN done $RESET ]"

echo -ne "Removing nginx from chkservd  .."
	rm -f /etc/chkserv.d/nginx
	grep -v nginx /etc/chkserv.d/chkservd.conf  > /tmp/nginx
	cat /tmp/nginx > /etc/chkserv.d/chkservd.conf
	rm -f /tmp/nginx
	chattr -ia  /etc/chkserv.d/httpd
	replace '8888' '80' -- /etc/chkserv.d/httpd
	rm -f /var/run/chkservd/nginx
	/scripts/restartsrv_chkservd
echo -e "[ $GREEN done $RESET ]"

